package com.szyx.tcm.supervision.aop;

import java.lang.reflect.Method;

/*******************************************************************
 * <pre></pre>
 * @文件名称： BaseAspect.java
 * @包 路  径： com.szyx.tcm.supervision.aop
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date：2024/3/7 11:08
 * @Modify：
 */
public class BaseAspect {

    public Method getDeclaredMethod(Class<?> clazz, String name, Class<?>... parameterTypes) {
        try {
            return clazz.getDeclaredMethod(name, parameterTypes);
        } catch (NoSuchMethodException e) {
            Class<?> superClass = clazz.getSuperclass();
            if (superClass != null) {
                return getDeclaredMethod(superClass, name, parameterTypes);
            }
        }
        return null;
    }


}
