package com.szyx.tcm.supervision.config;

import com.github.benmanes.caffeine.cache.Cache;
import com.github.benmanes.caffeine.cache.Caffeine;
import com.szyx.tcm.supervision.model.dto.supervise.SuperviseTokenRep;
import com.szyx.tcm.supervision.service.BjSuperviseUploadService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

/*******************************************************************
 * <pre></pre>
 * @文件名称： CahceAgent.java
 * @包 路  径： com.szyx.tcm.supervision.config
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date：2024/3/7 15:57
 * @Modify：
 */

@Component
@Slf4j
public class CacheAgent {



    private final Cache<String, SuperviseTokenRep> superviseTokenCache;

    public CacheAgent() {
        superviseTokenCache = Caffeine.newBuilder()
                .maximumSize(10)
                .expireAfterWrite(120, TimeUnit.SECONDS)
                .build();
    }

    public SuperviseTokenRep get(String key) {
        return  superviseTokenCache.getIfPresent(key);
    }

    public void put(String key, SuperviseTokenRep value) {
        superviseTokenCache.put(key, value);
    }



}
