package com.szyx.tcm.supervision.config;

import com.fiftyonetrust.common.model.result.R;
import com.szyx.tcm.supervision.constant.RestfulResultConstant;
import lombok.extern.slf4j.Slf4j;
import org.dromara.hutool.core.date.DateUtil;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.core.MethodParameter;
import org.springframework.http.MediaType;
import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.http.server.ServerHttpRequest;
import org.springframework.http.server.ServerHttpResponse;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.mvc.method.annotation.ResponseBodyAdvice;

import java.util.LinkedHashMap;
import java.util.Map;

/*******************************************************************
 * <pre></pre>
 * @文件名称： ResultAdvice.java
 * @包 路  径： com.szyx.tcm.supervision.config
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date：2024/3/5 17:15
 * @Modify：
 */
@Slf4j
@ControllerAdvice
@ConditionalOnWebApplication(type = ConditionalOnWebApplication.Type.SERVLET)
public class ResultAdvice implements ResponseBodyAdvice<Object> {
    @Override
    public boolean supports(MethodParameter returnType, Class<? extends HttpMessageConverter<?>> converterType) {
        return Boolean.TRUE;
    }

    @Override
    public Object beforeBodyWrite(Object body, MethodParameter returnType, MediaType selectedContentType, Class<? extends HttpMessageConverter<?>> selectedConverterType, ServerHttpRequest request, ServerHttpResponse response) {
        if (body instanceof R) {
            return wrapResult((R) body);
        }else if (body == null) {
            return wrapResult(R.ok());
        }else if (body instanceof String) {
            return body;
        }else{
            return wrapResult(R.ok(body));
        }

    }


    private Object wrapResult(R res) {
        Map resultMap = new LinkedHashMap();
        if(null != res){

            resultMap.put(RestfulResultConstant.CODE, res.getCode());
            resultMap.put(RestfulResultConstant.MESSAGE, res.getMessage());
            resultMap.put(RestfulResultConstant.TIMESTAMP, DateUtil.formatNow());
            resultMap.put(RestfulResultConstant.DATA, res.getData());
        }

        return resultMap;

    }


}
