package com.szyx.tcm.supervision.constant;

import java.util.regex.Pattern;

/**
 * 常量
 *
 * @author cj
 */

public class Constants {

    /**
     * 登录次数
     **/
    public static final String MEDICAL_LOGIN = "medical:login";

    /**
     * 登录次数
     **/
    public static final String AUTH_LOGIN = "auth:login";

    /**
     * 图片base编码开头
     **/
    public static final String BASE64_IMAGE = "data:image/jpg;base64,";

    /**
     * 令牌前缀
     */
    public static final String TOKEN_PREFIX = "Kuma ";

    /**
     * 令牌前缀
     */
    public static final String LOGIN_USER_KEY = "tcm_login_user_key";

    /**
     * 医助理令牌前缀
     */
    public static final String HELPER_LOGIN_USER_KEY = "tcm_helper_login_user_key";

    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "token_";

    public static final String TRM_MEDICAL_USER_LOGIN = "tcm:medical:login:{}";

    public static final String TRM_PLATFORM_USER_LOGIN = "tcm:platform:login:{}";

    public static final String TRM_PATIENT_USER_LOGIN = "tcm:patient:login:{}";

    public static final String REQUEST_HEAD_SIGN = "X-Access-Token";

    public static final String STDC_EXPERT_USER_LOGIN = "tcm:manage:login:{}";

    /**
     * 重置密码
     **/
    public static final String AUTH_RESET = "auth:reset";

    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";
    /**
     * header头
     */
    public static final String HTTP_CONTENT_TYPE = "Content-Type";

    /**
     * 通用成功标识
     */
    public static final Integer SUCCESS = 0;

    /**
     * 通用失败标识
     */
    public static final Integer FAIL = 1;

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 注册
     */
    public static final String REGISTER = "Register";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";

    /**
     * 验证码有效期（分钟）
     */
    public static final Integer CAPTCHA_EXPIRATION = 2;

    /**
     * 令牌
     */
    public static final String TOKEN = "token";

    /**
     * 用户ID
     */
    public static final String JWT_USERID = "userid";

    /**
     * 用户头像
     */
    public static final String JWT_AVATAR = "avatar";

    /**
     * 创建时间
     */
    public static final String JWT_CREATED = "created";

    /**
     * 用户权限
     */
    public static final String JWT_AUTHORITIES = "authorities";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    /**
     * RMI 远程方法调用
     */
    public static final String LOOKUP_RMI = "rmi:";

    /**
     * LDAP 远程方法调用
     */
    public static final String LOOKUP_LDAP = "ldap:";

    /**
     * LDAPS 远程方法调用
     */
    public static final String LOOKUP_LDAPS = "ldaps:";

    /**
     * 机构编码
     */
    public static final String JG = "JG";

    public static final String PASSWORD = "Admin123@";

    public static final String PERMANENT = "默认图片@";

    public static final String FIRM_PICTURE_PATH = "/firm/picture";

    public static final String MEDICAL_PICTURE_PATH = "/medical/picture";

    public static final String FIRM_QR_PATH = "/firm/qr";

    public static final String PATIENT_PICTURE_PATH = "patient/picture";

    /**
     * 定时任务白名单配置（仅允许访问的包名，如其他需要可以自行添加）
     */
    public static final String[] JOB_WHITELIST_STR = {"com.xx"};

    public static final Pattern PATTERN = Pattern.compile("^(?=.*[A-Za-z])(?=.*\\d)(?=.*[$@$!%*#?&])[A-Za-z\\d$@$!%*#?&]{8,}$");

    /**
     * 定时任务违规的字符
     */
    public static final String[] JOB_ERROR_STR =
            {"java.net.URL", "javax.naming.InitialContext", "org.yaml.snakeyaml", "org.springframework", "org.apache", "com.ruoyi.common.utils.file"};

    /**
     * 平台机构编码
     */
    public static final String PLATFORM_FIRM_CODE = "0000000";

    /**
     * 物流订单完成
     */
    public static final String COMPLETE = "80";

    public static final String SUSSES = "000";

    public static final String ZERO = "001";

    /**
     * 中医院成功
     */
    public static final String ONE = "1";

    /**
     * 三溪堂成功
     */
    public static final String SXT_SUSSES = "00000";

    public static final String MODIFY = "modify";

    public static final String DEL = "del";

    public static final String PLATFORM_ADMIN = "platform_admin";

    public static final String FIRM_ADMIN = "firm_admin";

    public static final String MEDICINE_ORDER_ALREADY_PAY = "您有一笔购药订单已关闭，费用已原路退回，如有问诊需求请重新预约。";

    /**
     * 用户视频通话状态
     */
    public static final String PATIENT_ROOM_STATE_KEY = "room:state:%s";

    /**
     * 医生IM账号前缀
     */
    public static final String DOCTOR_IM_ACCOUNT_PREFIX = "YS_";
    /**
     * 患者IM账号前缀
     */
    public static final String PATIENT_IM_ACCOUNT_PREFIX = "HZ_";

    public static final String OPENED = "机构已开通%s服务，如有疑问，请联系机构管理员。";

    public static final String CANCEL_ACTIVATION = "机构已取消开通的%s服务，如有疑问，请联系机构管理员。";

    public static final String POURED = "承接提醒";

    public static final String CANCEL = "取消提醒";

    public static final String DEPART_ID = "0513";

    public static final String DEPART_NAME = "互联网门诊";

    /**
     * 中医院取消成功
     */
    public static final String ZERO_ONE = "01";

    /**
     * 中医院取消成功
     */
    public static final Integer SIX = 6;

    /**
     * 机构超级登录加密串失效时间
     */
    public static final Long FIRM_SUPER_LOGIN_KEY_EXPIRE_TIME = 1000 * 30L;

    public static final String CHANGE = "平台变更机构";
    //中西成药，默认药品监管码
    public static final String DEFAULT_MEDICINE_SUPERVISES_CHINESE_WEST_CODE = "JG99AGB99999999999999999";
    //中草药，默认药品监管码
    public static final String DEFAULT_MEDICINE_SUPERVISES_CHINESE_CODE = "T999999999";

    /**
     * 中医院取消成功
     */
    public static final String NOT_FULL = "执业未满三年";

    public static final Integer TEN = 10;

    public static final String TOTAL = "total";
    public static final String NAME = "name";



    public static final String TITLE = "承接提醒";

    public static final String CONTENT = "平台邀请您承接%s，请您及时接诊，如有疑问，请联系平台客服15711336340。";

    /**
     * 业务增长量小的后台导出默认值
     */
    public static final Integer EXPORT_SIZE = 100000;

    public static final String QR_CODE  = "{\"shareDoctorId\":%s,\"inviteType\":2,\"type\":2,\"userId\":%s}";

    public static final String CACHE_MANAGER = "cacheManager:";

    public static final String PLATFORM = "platform:";

    public static final String PLATFORM_SWITCH = "platform_switch";


    public static final String MESSAGE_CONSULTATION_PURCHASE = "问诊购药";

    // 平台端 自购药 查询标识
    public static final String SELF_SERVICE_CONSULTATION_PURCHASE = "3";
    //登录
    public static final String METHOD_NAME = "login";
    //登出
    public static final String LOG_OUT = "onLogoutSuccess";

    public static final String FIRM_SUPER_LOGIN = "firmSuperLogin";

    public static final String PLATFORM_DELETION = "平台已删除药品，禁止录入";

    public static final String CONDUCT_IN_BOTH = "存在正在进行中的诊疗订单，暂无法更换医助";

    public static final String ASSOCIATED_IN_BOTH = "当前医助已关联10个医生";

    public static final String PLATFORM_INVITATION = "平台邀请您成为【%s】的医生助理，请及时查看。";

    public static final String CANNOT_IN_BOTH = "不能互相成为医助理";
    // 收货地址 机构判断常量
    public static final Integer MODIFY_PLATFORM = 0;

    public static final Integer MODIFY_FIRM = 1;

    public static final Integer MODIFY_PATIENT = 2;

    // 收货地址 修改类型
    public static final Integer MODIFY_ADDRESS_TYPE = 0;


    public static final String NOT_OPERABLE = "当前是本人账号，不可操作";

    public static final String NOT_ASSOCIATION = "该医助和账号没关联";

    public static final String RECIPE_LOCK = "recipe:";


    public static final String APPOINTMENT_UN_PAY_KEY = "appointment:unpay:";

    public static final String SUSPEND_APPOINTMENT_CANCEL_TIPS = "医生临时停诊，系统自动退号退款";

    // 线下挂号-临时停诊退款固定文案
    public static final String SUSPEND_APPOINTMENT = "临时停诊";

    /**
     * 医网信签名 pdf 上传路径
     */
    public static final String RECIPE_SYN_FILE_PATH = "epitaxy/";

    public static final String PDF = ".pdf";

    public static final String PNG = ".png";

    /**
     * 默认自提说明
     */
    public static final String DEFAULT_PICK_ILLUSTRATE = "请自行前往自提点取药，如有疑问请联系客服。";

}
