package com.szyx.tcm.supervision.controller;

import com.fiftyonetrust.common.model.result.R;
import com.szyx.tcm.supervision.annotation.TraceLog;
import com.szyx.tcm.supervision.enums.OperationTypeEnum;
import com.szyx.tcm.supervision.model.dto.supervise.RspDetail;
import com.szyx.tcm.supervision.model.dto.supervise.SuperviseDto;
import com.szyx.tcm.supervision.model.dto.supervise.SuperviseReq;
import com.szyx.tcm.supervision.service.BjSuperviseUploadService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/*******************************************************************
 * <pre></pre>
 * @文件名称： SuperviseUploadController.java
 * @包 路  径： com.szyx.tcm.supervision.controller
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date：2024/3/7 14:37
 * @Modify：
 */
@RestController
@RequestMapping("/supervise")
public class SuperviseUploadController {

    @Resource
    private BjSuperviseUploadService bjSuperviseUploadService;

    /**
     * 监管平台数据上传
     * @param req
     * @return
     */
    @PostMapping("/upload")
    @TraceLog(desc = "监管平台数据上传",operationType = OperationTypeEnum.POST)
    public RspDetail uploadInfo(@RequestBody @Validated SuperviseReq req) {
        return bjSuperviseUploadService.dataUpload(req);
    }

}
