package com.szyx.tcm.supervision.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/*******************************************************************
 * <pre></pre>
 * @文件名称： LogInfo.java
 * @包 路  径： com.szyx.tcm.supervision.model
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date：2024/3/7 11:10
 * @Modify：
 */

@Data
@TableName("log_info")
@AllArgsConstructor
@NoArgsConstructor
public class LogInfo {

    /**
     * 主键
     */
    @TableId
    private Integer id;

    /**
     * 请求耗时
     */
    private Long requestTime = 0L;

    /**
     * 请求唯一id
     */
    private String requestId;


    /**
     * 异常详细
     */
    private String exceptionDetail;

    /**
     * 请求接口地址
     */
    private String path;

    /**
     * 描述
     */
    private String description;


    /**
     * 方法名
     */
    private String methodName;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     *  日志切面构造方法
     * @param logType
     * @param time
     */
    public LogInfo(String logType, Long time) {
        this.logType = logType;
        this.requestTime = time;
    }

    /**
     * 日志类型 INFO ERROR
     */
    private String logType;


}
