package com.szyx.tcm.supervision.model.dto.insurance;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;

/*******************************************************************
 * <pre></pre>
 * @文件名称： FeeDetailList.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/17 14:57
 * @Modify：
 */
@Data
@ApiModel("省医保平台「6201」上传处方药费明细请求参数费用明细")
public class FeeDetail {

    /**
     * feedetlSn	费用明细流水号	字符型	30		Y	单次就诊内唯一
     */
    private String feedetlSn;

    /**
     * mdtrtId	就诊ID	字符型	30		N
     */
    private String mdtrtId;

    /**
     * psnNo	人员编号	字符型	30		Y
     */
    private String psnNo;

    /**
     * chrgBchno	收费批次号	字符型	30		Y	同一收费批次号病种编号必须一致
     */
    private String chrgBchno;

    /**
     * diseCodg	病种编码	字符型	30		N	按照标准编码填写：
     * 按病种结算病种目录代码(bydise_setl_list_code)、
     * 门诊慢特病病种目录代码(opsp_dise_cod)
     */
    private String diseCodg;

    /**
     * rxno	处方号	字符型	30		N	外购处方时，传入外购处方的处方号；非外购处方，传入医药机构处方号
     */
    private String rxno;

    /**
     * rxCircFlag	外购处方标志	字符型	3		Y
     */
    private String rxCircFlag;

    // yyyy-MM-dd HH:mm:ss
    /**
     * feeOcurTime	费用发生时间	日期时间型			Y	yyyy-MM-dd HH:mm:ss
     */
    private String feeOcurTime;

    /**
     * medListCodg	医疗目录编码	字符型	50		Y
     */
    private String medListCodg;

    /**
     * medinsListCodg	医药机构目录编码	字符型	150		Y
     */
    private String medinsListCodg;

    /**
     * detItemFeeSumamt	明细项目费用总额	数值型	16,2		Y
     */
    private BigDecimal detItemFeeSumamt;

    /**
     * cnt	数量	数值型	16,4		Y
     */
    private BigDecimal cnt;

    /**
     * pric	单价	数值型	16,6		Y
     */
    private BigDecimal pric;

    /**
     * bilgDeptCodg	开单科室编码	字符型	30		Y
     */
    private String bilgDeptCodg;

    /**
     * bilgDeptName	开单科室名称	字符型	100		Y
     */
    private String bilgDeptName;

    /**
     * bilgDrCodg	开单医生编码	字符型	30		Y	按照标准编码填写
     */
    private String bilgDrCodg;

    /**
     * bilgDrName	开单医师姓名	字符型	50		Y
     */
    private String bilgDrName;

    /**
     *hospApprFlag	医院审批标志	字符型	3		Y
     */
    private String hospApprFlag;

    /**
     * medType	医疗类别	字符型	6		Y
     */
    private String medType;

    /**
     * medListName	医疗目录名称	字符型	50		Y
     */
    private String medListName;

    /**
     * medListSpc	医疗目录规格	字符型	50		Y
     */
    private String medListSpc;

}
