package com.szyx.tcm.supervision.model.dto.insurance;

import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceCoreCommonMessage.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:  河南医保核心系统公共报文 v1.4
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/22 10:18
 * @Modify：
 */
@Data
public class InsuranceCoreCommonInputMessage {

    // infno	交易编号	字符型	4		Y	交易编号详见接口列表
    private String infno;

    // msgid	发送方报文ID	字符型	30		Y	定点医药机构编号(12)+时间(14)+顺序号(4)
    //时间格式：yyyyMMddHHmmss
    private String msgid;

    // mdtrtarea_admvs	就医地医保区划	字符型	6		Y
    private String mdtrtareaAdmvs;

    // insuplc_admdvs	参保地医保区划	字符型	6			如果交易输入中含有人员编号，此项必填，可通过【1101】人员信息获取交易取得
    private String insuplcAdmdvs;

    // recer_sys_code	接收方系统代码	字符型	10		Y	用于多套系统接入，区分不同系统使用
    private String recerSysCode;

    // dev_no	设备编号	字符型	100
    private String devNo;

    // dev_safe_info	设备安全信息	字符型	2000
    private String devSafeInfo;

    // cainfo	数字签名信息	字符型	1024
    private String cainfo;

    // signtype	签名类型	字符型	10			建议使用SM2、SM3
    private String signtype;

    // infver	接口版本号	字符型	6		Y	例如：“V1.0”，版本号由医保下发通知。
    private String infver;

    // opter_type	经办人类别		3	Y	Y	1-经办人；2-自助终端；3-移动终端
    private String opterType;

    // opter	经办人	字符型	20		Y	按地方要求传入经办人/终端编号
    private String opter;

    // opter_name	经办人姓名	字符型	50		Y	按地方要求传入经办人姓名/终端名称
    private String opterName;

    // inf_time	交易时间	日期时间型	19		Y
    private String infTime;

    // fixmedins_code	定点医药机构编号	字符型	12		Y
    private String fixmedinsCode;

    // fixmedins_name	定点医药机构名称	字符型	20		Y
    private String fixmedinsName;

    // sign_no	交易签到流水号	字符型	30			通过签到【9001】交易获取
    private String signNo;

    // input	交易输入	字符型	40000		Y
    private String input;







}
