package com.szyx.tcm.supervision.model.dto.insurance;

import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceMiddleGroundOutputMessage.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description: 省移动支付中台 公共响应报文
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/22 15:10
 * @Modify：
 */
@Data
public class InsuranceMiddleGroundOutputMessage {

    /**
     * code	响应状态码	int	N
     */
    private Integer code;

    /**
     * appId	渠道id	String(32)	N
     */
    private String appId;

    /**
     * timestamp	当前时间	String(32)	N	时间戳
     */
    private String timestamp;

    /**
     * encType	加密方式	String(6)	N	SM4
     */
    private String encType;

    /**
     * signType	签名方式	String(6)	N	SM2
     */
    private String signType;

    /**
     * signData	签名串	String(200)	N
     */
    private String signData;

    /**
     * encData	加密数据	String(max)	N
     */
    private String encData;

    /**
     * message	响应异常信息	String(max)	Y
     */
    private String message;

    /**
     * success	响应标识	boolean	Y
     */
    private Boolean success;

    /**
     * version	版本号	String(6)	N	2.0.1
     */
    private String version;


    /**
     * data	响应数据	Object	N
     */
    private String data;


}
