package com.szyx.tcm.supervision.model.dto.insurance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsurancePayOrderOutputMessage.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:  6202 医保支付订单响应参数
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/23 17:52
 * @Modify：
 */
@Data
@ApiModel("医保支付订单响应参数")
public class InsurancePayOrderOutputMessage {

    /**
     * payOrdId	支付订单号	字符型	40		Y
     */
    @ApiModelProperty("支付订单号")
    private String payOrdId;

    /**
     * ordStas	订单状态	字符型	40		Y	字典订单状态(ordStas)
     */
    @ApiModelProperty("订单状态")
    private String ordStas;

    /**
     * feeSumamt	费用总额	数值型	12,2		Y
     */
    @ApiModelProperty("费用总额")
    private BigDecimal feeSumamt;

    /**
     * ownPayAmt	现金支付	数值型	12,2		Y
     */
    @ApiModelProperty("现金支付")
    private BigDecimal ownPayAmt;

    /**
     * psnAcctPay	个人账户支出	数值型	12,2		Y
     */
    @ApiModelProperty("个人账户支出")
    private BigDecimal psnAcctPay;

    /**
     * fundPay	医保基金支付	数值型	12,2		Y
     */
    @ApiModelProperty("医保基金支付")
    private BigDecimal fundPay;

    @ApiModelProperty("医保结构体")
    private String requestContent;



}
