package com.szyx.tcm.supervision.model.dto.insurance;

import com.alibaba.fastjson2.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceRep.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/16 10:50
 * @Modify：
 */
@Data
@ApiModel("获取用户医保参数")
public class InsuranceRep {

    /**
     * code
     * 业务返回码
     * int
     * Y
     * 0成功，小于0系统错误，大于0逻辑错误
     */
    private Integer code;

    /**
     * message
     * 业务返回信息
     * string
     * Y
     */
    private String message;

    /**
     * user_name
     * 用户姓名
     * string(32)
     * N
     * 姓名，如张三
     */
    private String userName;

    /**
     * city_id
     * 用户参保地代码
     * string(12)
     * N
     * 仅当mi_card_type=CERITIFICATE时，才返回有效值，多地参保用户若未选择主参保地，则该字段未空，并且不可使用后续业务。；
     */
    @JSONField(name = "city_id")
    private String cityId;

    /**
     * pay_auth_no
     * 医保线上核验payAuthNo
     * string(32)
     * Y
     * 当使用医保线上支付功能时，返回payAuthNo
     */
    private String payAuthNo;

    /**
     * user_longitude_latitude
     * 用户经纬度
     *
     *
     *
     *
     * Y
     * 当使用医保线上支付功能时，返回对应的经纬度
     */
    private UserLongitudeLatitude userLongitudeLatitude;


}
