package com.szyx.tcm.supervision.model.dto.insurance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： UnifiedOrderReq.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description: 微信统一下单请求参数
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/23 23:53
 * @Modify：
 */
@ApiModel("微信统一下单请求参数")
@Data
public class UnifiedOrderReq {

    @ApiModelProperty("支付类型： IntReDiagPay=互联网医院复诊支付\n" +
            "IntPscPay=互联网医院处方支付  \n")
    private String orderType;

    @ApiModelProperty("分账信息")
    private InsurancePayOrderOutputMessage insurancePayOrder;

   /**
     * spbill_create_ip
     * 用户端ip
     * String16
     * Y
     * 10.193.0.1
     */
   @ApiModelProperty("用户ip")
    private String spbillCreateIp;




    @ApiModelProperty(hidden = true)
    private InsuranceAccessTokenRep accessToken;

    @ApiModelProperty(hidden = true)
    private String openId;


    @ApiModelProperty(hidden = true)
    /**
     * 证件号码 user_card_no 证件号码的MD5，目前只支持身份证（身份证中如果有字母需要转成大写再做MD5,15位身份证号需要转为18位）. 示例：44030019000101123x的MD5为09eb26e839ff3a2e3980352ae45ef09e
     */
    private String userCardNo;



    @ApiModelProperty(hidden = true)
    /**
     * 真实姓名 user_name 张三
     */
    private String userName;






}
