package com.szyx.tcm.supervision.model.dto.supervise;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @program: tcm-parent
 * @ClassName Expense
 * @description:
 * @author: jwmd
 * @create: 2023-05-22 19:31
 **/
@Data
public class Expense {
    /**
     * 采用医保诊疗项目库、药品全量信息库和耗材库内国家医保编码和名称
     */
    @ApiModelProperty(value = "费用类型代码")
    @JacksonXmlProperty(localName = "F01C")
    private String expenseTypeCode;

    @ApiModelProperty(value = "名称")
    @JacksonXmlProperty(localName = "F01N")
    private String name;

    @ApiModelProperty(value = "开单科室编码")
    @JacksonXmlProperty(localName = "F02C")
    private String billingDeptCode;

    /**
     * YYYY-MM-DD HH24:MI:SS
     */
    @ApiModelProperty(value = "交费时间")
    @JacksonXmlProperty(localName = "F03")
    @JsonFormat( pattern= "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date paymentTime;

    @ApiModelProperty(value = "单价")
    @JacksonXmlProperty(localName = "F04")
    private Double unitPrice;

    @ApiModelProperty(value = "数量")
    @JacksonXmlProperty(localName = "F05")
    private Double number;

}