package com.szyx.tcm.supervision.service.Impl;

import com.alibaba.fastjson2.JSONObject;
import com.github.benmanes.caffeine.cache.Caffeine;
import com.github.benmanes.caffeine.cache.LoadingCache;
import com.szyx.tcm.supervision.config.CacheAgent;
import com.szyx.tcm.supervision.constant.CacheConstant;
import com.szyx.tcm.supervision.constant.HttpConstants;
import com.szyx.tcm.supervision.model.dto.supervise.*;
import com.szyx.tcm.supervision.service.BjSuperviseUploadService;
import com.szyx.tcm.supervision.util.HttpUtil;
import com.szyx.tcm.supervision.util.XMLMapperUtil;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.dromara.hutool.core.date.DateUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.HashMap;
import java.util.concurrent.TimeUnit;

/*******************************************************************
 * <pre></pre>
 * @文件名称： BjSuperviseUploadServiceImpl.java
 * @包 路  径： com.szyx.tcm.supervision.service.Impl
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date：2024/3/7 14:07
 * @Modify：
 */

@Slf4j
@Service
public class BjSuperviseUploadServiceImpl implements BjSuperviseUploadService {


    @Override
    @SneakyThrows
    public RspDetail dataUpload(SuperviseReq req) {
        String token = req.getToken();
        String requestUrl = req.getUrl() + "/upload?access_token=" + token;
        String data = HttpUtil.postByXMl(requestUrl, XMLMapperUtil.getInstance().writerWithDefaultPrettyPrinter().writeValueAsString(req.getSuperviseDto()));
        CommonRsp res = JSONObject.parseObject(data, CommonRsp.class);
        if (res.isSuccess()) {
            return  JSONObject.parseObject(res.getData(), RspDetail.class);
        }
        return new RspDetail(HttpConstants.StatusCode.SERVER_ERROR, res.getMsg());
    }



}
