package com.szyx.tcm.supervision.util;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.dataformat.xml.XmlMapper;
import com.fasterxml.jackson.dataformat.xml.ser.ToXmlGenerator;

/**
 * @program: tcm-parent
 * @ClassName XMLMapperUtil
 * @description: XmlMapper工具
 * @author: jwmd
 * @create: 2023-05-22 11:43
 **/

public class XMLMapperUtil extends XmlMapper {

    private XMLMapperUtil() {
        this.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        this.configure(DeserializationFeature.FAIL_ON_IGNORED_PROPERTIES, false);
        //带有xml文件头，<?xml version="1.0" encoding="utf-8" ?>
        this.configure(ToXmlGenerator.Feature.WRITE_XML_DECLARATION, true);
    }

    /**
     * 获取XmlMapper工具
     * 执行此方法时，静态内部类XMLMapperUtilsInstance才会装载
     *
     * @return XMLMapperUtils
     */
    public static XMLMapperUtil getInstance() {
        return XMLMapperUtilsInstance.INSTANCE;
    }

    private static class XMLMapperUtilsInstance {
        private static final XMLMapperUtil INSTANCE = new XMLMapperUtil();
    }
}
